Output of usage of {{tl}} not visible
Closed, ResolvedPublic

Description

https://en.wikipedia.org/wiki/User:DePiep/VEdemo?veaction=edit

The use of tl is not rendered, but tlx is.


Version: unspecified
Severity: normal

bzimport added a project: Parsoid.Via ConduitNov 22 2014, 2:10 AM
bzimport set Reference to bz50704.
TheDJ created this task.Via LegacyJul 3 2013, 11:17 PM
jayvdb added a comment.Via ConduitJul 16 2013, 4:11 AM

This template isnt used in any pages in namespace 0, and is not likely to appear often in userspace drafts either.

However whatever is triggering this bug may be triggering other templates to be silently dropped.

fwiw, the page has an empty span where the {{tl}} is supposed to appear, with lots of attributes set.

TheDJ added a comment.Via ConduitJul 28 2013, 1:10 PM
  • Bug 52147 has been marked as a duplicate of this bug. ***
TheDJ added a comment.Via ConduitJul 28 2013, 1:17 PM

Also doesn't render in Parsoid it seems:
http://parsoid.wmflabs.org/en/User:DePiep/VEdemo

I presume this is caused by the {{ }} characters in this template that are used 'unescaped'/not nowikied.

It seems that PHP parser is able to detect that {{[[ ]]}} is not a valid template syntax, but that parsoid tried to transclude regardless and resolves to 'null' content.

Esanders added a comment.Via ConduitAug 15 2013, 4:39 PM

Doesn't render in Parsoid === Parsoid bug :)

ssastry added a comment.Via ConduitDec 6 2013, 5:36 PM

Since this bug in the Parsoid component in bugzilla, the 'Parsoid:' prefix is redundant.

I have an old WIP patch in a working branch .. will dust it off this coming week.

gerritbot added a comment.Via ConduitJan 3 2014, 6:48 PM

Change 105229 had a related patch set uploaded by Subramanya Sastry:
(Bug 50704) Handle {{[[Foo]]}} correctly

https://gerrit.wikimedia.org/r/105229

gerritbot added a comment.Via ConduitJan 6 2014, 8:37 PM

Change 105229 merged by jenkins-bot:
(Bug 50704) Handle {{[[Foo]]}} correctly

https://gerrit.wikimedia.org/r/105229

ssastry added a comment.Via ConduitJan 7 2014, 4:21 PM

Yet to be deployed. Likely next week.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.